Blue Guardrails

List Conversations

Browse your traced conversations.

View all conversations captured from your LLM calls. Filter by time range to find specific interactions, or use embed=(messages) to include full message content in each result.

GET
/v1/conversations

Query Parameters

limit?integer

Maximum number of items to return

Default50
Range0 < value <= 100
cursor?|

Pagination cursor

embed?|

Embed resources: (messages)

filter?|

Conversation filter expression, e.g. issue_count > 0 AND tags['env'] = 'prod'

Header Parameters

x-workspace-id?|

Workspace UUID for session-authenticated calls.

Response Body

application/json

application/json

curl -X GET "https://loading/v1/conversations"
{
  "next_page_cursor": "string",
  "query": {},
  "has_more": true,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "external_id": "string",
      "type": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "message_count": 0,
      "annotation_count": 0,
      "tool_call_annotation_count": 0,
      "total_input_tokens": 0,
      "total_output_tokens": 0,
      "generation_models": [
        "string"
      ],
      "tags": {
        "property1": "string",
        "property2": "string"
      },
      "first_message_preview": "string",
      "messages": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "role": "string",
          "parts": [
            {}
          ],
          "sequence_number": 0,
          "origin_agent_run_id": "string",
          "origin_run_tags": {
            "property1": "string",
            "property2": "string"
          },
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z",
          "generation": {
            "model": "string",
            "input_tokens": 0,
            "output_tokens": 0,
            "cost_usd": 0,
            "latency_ms": 0,
            "time_to_first_token_ms": 0,
            "cache_creation_input_tokens": 0,
            "cache_read_input_tokens": 0,
            "input_without_cache_tokens": 0,
            "reasoning_output_tokens": 0,
            "output_without_reasoning_tokens": 0,
            "operation_cost_usd": 0,
            "calculated_cost_usd": 0,
            "input_cost_usd": 0,
            "input_without_cache_cost_usd": 0,
            "cache_creation_cost_usd": 0,
            "cache_read_cost_usd": 0,
            "output_cost_usd": 0,
            "output_without_reasoning_cost_usd": 0,
            "reasoning_cost_usd": 0,
            "response_id": "string",
            "provider": "string",
            "finish_reasons": [
              "string"
            ],
            "agent_description": "string",
            "agent_id": "string",
            "agent_name": "string",
            "request_parameters": {}
          }
        }
      ]
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}